% frictionless. 
% does graph for the frictionless version of step on a rake

clear all
close all

r = 0.03;
i = 0.04; 
theta = 0.8; 
s = 1; 
P = 1; 
B = 1; 

tim = (-10:20)';
t0 = find(tim==0); % index of time 0
ntim = size(tim,1);

it = zeros(ntim,1);
it(1:t0-1)=r;
it(t0:end)=i; 

Pt = zeros(ntim,1);
Pt(1:t0-1)=P;
P0 = (1+i)/(1+r)*(1+r-theta)/(1+i-theta)*P;
disp('100 x log(P0)');
disp(100*log(P0));
Pt(t0:end)=P0*((1+i)/(1+r)).^(tim(t0:end));

Ptno = zeros(ntim,1);
Ptno(1:t0-1)=P;
Ptno(t0:end)=P*((1+i)/(1+r)).^(tim(t0:end));


T = 3; 
P0T = 1+ (theta/(1+r))^T*((1+i)/(1+r) * (1+r-theta)/(1+i-theta)-1); 
PTt = zeros(ntim,1);
PTt(1:t0-T-1) = P; 
PTt(t0-T:t0-1)=P0T;
PTt(t0:end)=P0T*((1+i)/(1+r)).^tim(t0:end);

figure
plot(tim,100*it,'-bv','linewidth',2); 
hold on
plot(tim,100*log(Pt),'-ks','linewidth',2);
plot(tim,100*log(Ptno),'--ko','linewidth',2);
plot(tim,100*log(PTt),'-r^','linewidth',2);


plot(tim,0*tim,'-k');
text(-4,3.5,'i_t','fontsize',18,'color','b');
text(2.1,-2,'log(P_t)','fontsize',18,'color','k'); 
text(-1.5,-2,'Announced at -3','fontsize',18,'color','r','horizontalalignment','r')
text(1,1.5,'Short debt or expected','fontsize',18,'color','k','horizontalalignment','r')
xlabel('Time','fontsize',18);
ylabel('Percent','fontsize',18);

axis([-7 7 -4 5]);
print -depsc2 geom_example.eps
savefig('geom_example')


% *************
% debt calculations note theta = 1 here
% ************

B1til = 0*tim; 
B1til(t0:end) = (1+i)/i * (((1+i)/(1+r)).^tim(t0:end) - 1 ) * (1+i)/i; 
B1t = 0*tim+1;
B1t(t0:end) = (1+i)/(1+r).^(tim(t0:end));

figure
plot(tim,B1til,'-bv','linewidth',2)
hold on
plot(tim,B1t-1,'-rs','linewidth',2)




